import _get from "lodash/get";
import React from 'react';
import styles from '../../offline-status.scss';
import StartButton from '../../../user-info-form/btn-start-conversation';
export default (function (_ref) {
  var setting = _ref.setting,
      onStartConversation = _ref.onStartConversation;
  return /*#__PURE__*/React.createElement("div", {
    className: styles.content
  }, /*#__PURE__*/React.createElement("div", {
    className: styles.img
  }, /*#__PURE__*/React.createElement("img", {
    src: "https://storage.googleapis.com/bs-production-public/assets/widgets/bot_profilepic%402x.png"
  })), /*#__PURE__*/React.createElement("span", {
    style: {
      color: "" + (_get(setting, "screenOffline.on.title_color") || _get(setting, 'screenConversation.rightSideBackgroundColor'))
    },
    className: styles.title
  }, _get(setting, "screenOffline.on.title")), /*#__PURE__*/React.createElement("span", {
    style: {
      color: "" + (_get(setting, "screenOffline.on.title_color") || _get(setting, 'iconBackgroundColor'))
    },
    className: styles.description
  }, _get(setting, "screenOffline.on.description")), /*#__PURE__*/React.createElement("div", {
    className: styles.startChat,
    onClick: function onClick() {
      onStartConversation && onStartConversation(null);
    }
  }, /*#__PURE__*/React.createElement(StartButton, {
    setting: setting,
    label: _get(setting, "screenOffline.on.start_chat_label")
  })));
});