import _get from "lodash/get";
import React, { Component } from "react";
import StartButtonStyleOne from "./style-one";
import StartButtonStyleTwo from "./style-two";
import StartButtonStyleThere from "./style-three";
export default (function (props) {
  var activeTheme = _get(props, "setting.activeTheme");

  return activeTheme === "style-three" ? /*#__PURE__*/React.createElement(StartButtonStyleThere, props) : activeTheme === "style-two" ? /*#__PURE__*/React.createElement(StartButtonStyleTwo, props) : /*#__PURE__*/React.createElement(StartButtonStyleOne, props);
});