import React, { Component } from "react";
import call from "../../../icon/call.svg";
import SVG from "react-inlinesvg";
import styles from "./styles.scss";
export default (function (_ref) {
  var bgColor = _ref.bgColor,
      iconColor = _ref.iconColor;
  return /*#__PURE__*/React.createElement("div", {
    className: styles.iconContent
  }, /*#__PURE__*/React.createElement("div", {
    style: {
      backgroundColor: bgColor,
      color: bgColor
    },
    className: styles.wrapOpacity1
  }), /*#__PURE__*/React.createElement("div", {
    style: {
      backgroundColor: bgColor
    },
    className: styles.wrapOpacity2
  }), /*#__PURE__*/React.createElement("div", {
    style: {
      backgroundColor: bgColor
    },
    className: styles.wrap
  }, /*#__PURE__*/React.createElement("div", {
    className: styles.icon
  }, /*#__PURE__*/React.createElement(SVG, {
    style: {
      color: iconColor
    },
    src: call
  }))));
});