import React, { Component } from 'react';
import styles from '../commonStyles.scss';
export default (function (_ref) {
  var children = _ref.children,
      backgroundColor = _ref.backgroundColor,
      isMobileMode = _ref.isMobileMode,
      border = _ref.border;
  // console.log('backgroundColor: ', backgroundColor)
  return /*#__PURE__*/React.createElement("div", {
    style: {
      padding: isMobileMode ? 0 : '10px'
    },
    className: styles.container
  }, /*#__PURE__*/React.createElement("div", {
    className: styles.containerShadow,
    style: {
      backgroundColor: backgroundColor,
      borderRadius: isMobileMode ? '0px' : border ? '30px 30px 18px  18px' : '18px'
    }
  }, children));
});