"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _styles = _interopRequireDefault(require("./styles.scss"));

var _default = function _default(_ref) {
  var placeholder = _ref.placeholder,
      type = _ref.type,
      isRequired = _ref.isRequired,
      textColor = _ref.textColor,
      backgroundColor = _ref.backgroundColor,
      icon = _ref.icon,
      onChange = _ref.onChange,
      isValid = _ref.isValid,
      inputValue = _ref.inputValue;
  var validField = isValid & isRequired || isRequired & inputValue === '';
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: _styles["default"].inputWrapper,
    style: {
      backgroundColor: 'transparent',
      color: textColor
    }
  }, /*#__PURE__*/_react["default"].createElement("span", {
    className: _styles["default"].label
  }, placeholder), /*#__PURE__*/_react["default"].createElement("div", {
    className: _styles["default"].inputBackground,
    style: {
      background: textColor
    }
  }), /*#__PURE__*/_react["default"].createElement("input", {
    spellCheck: "false",
    style: {
      backgroundColor: 'transparent',
      color: textColor,
      border: "" + (validField ? '1px solid red' : 'none')
    },
    onChange: onChange
  }), /*#__PURE__*/_react["default"].createElement("div", {
    className: _styles["default"].icon
  }, icon));
};

exports["default"] = _default;
module.exports = exports.default;