"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _styles = _interopRequireDefault(require("./styles.scss"));

var _reactInlinesvg = _interopRequireDefault(require("react-inlinesvg"));

var _default = function _default(_ref) {
  var iconBackgroundColor = _ref.iconBackgroundColor,
      iconSize = _ref.iconSize,
      iconSrc = _ref.iconSrc,
      iconTextColor = _ref.iconTextColor,
      svgSize = _ref.svgSize,
      onClick = _ref.onClick,
      numberOfNewMessages = _ref.numberOfNewMessages,
      handleHover = _ref.handleHover;
  var isShowBadge = numberOfNewMessages && numberOfNewMessages !== 0;
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: _styles["default"].minimumIcon,
    style: {
      color: "" + iconBackgroundColor,
      width: iconSize,
      height: iconSize
    },
    onClick: onClick && onClick,
    onMouseEnter: function onMouseEnter() {
      return handleHover && handleHover({
        isHover: true
      });
    },
    onMouseLeave: function onMouseLeave() {
      return handleHover && handleHover({
        isHover: false
      });
    }
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: _styles["default"].icon
  }, /*#__PURE__*/_react["default"].createElement(_reactInlinesvg["default"], {
    src: iconSrc,
    style: {
      color: "" + iconTextColor,
      width: svgSize
    }
  })), /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      display: isShowBadge ? 'flex' : 'none',
      width: iconSize / 3,
      height: iconSize / 3
    },
    className: _styles["default"].badge
  }, numberOfNewMessages));
};

exports["default"] = _default;
module.exports = exports.default;