"use strict";

exports.__esModule = true;
exports.removeLSVariable = exports.setLSVariable = exports.getLSVariable = void 0;

var ls = _interopRequireWildcard(require("local-storage"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var getLSVariable = function getLSVariable(name) {
  try {
    return ls(name);
  } catch (ex) {
    return null;
  }
};

exports.getLSVariable = getLSVariable;

var setLSVariable = function setLSVariable(name, value) {
  try {
    ls(name, value);
    return true;
  } catch (ex) {
    return false;
  }
};

exports.setLSVariable = setLSVariable;

var removeLSVariable = function removeLSVariable(name) {
  try {
    ls.remove(name);
    return true;
  } catch (ex) {
    return false;
  }
};

exports.removeLSVariable = removeLSVariable;