"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _inheritsLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/inheritsLoose"));

var _get2 = _interopRequireDefault(require("lodash/get"));

var _react = _interopRequireWildcard(require("react"));

var _reactRedux = require("react-redux");

var _minimumIcon = _interopRequireDefault(require("../minimum-icon"));

var _conversation = _interopRequireDefault(require("../conversation"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var ChatBox = /*#__PURE__*/function (_Component) {
  (0, _inheritsLoose2["default"])(ChatBox, _Component);

  function ChatBox() {
    return _Component.apply(this, arguments) || this;
  }

  var _proto = ChatBox.prototype;

  _proto.render = function render() {
    var _this$props = this.props,
        showChat = _this$props.showChat,
        isInConfigurationMode = _this$props.isInConfigurationMode,
        currentComponent = _this$props.demoData.currentComponent,
        numberOfNewMessages = _this$props.numberOfNewMessages;
    var isShowChat = showChat || isInConfigurationMode && currentComponent === 'chatbox';
    return /*#__PURE__*/_react["default"].createElement("div", {
      style: {
        height: '100%',
        zIndex: '9999997'
      }
    }, /*#__PURE__*/_react["default"].createElement(_conversation["default"], (0, _extends2["default"])({
      isShowChat: isShowChat
    }, this.props)), /*#__PURE__*/_react["default"].createElement(_minimumIcon["default"], {
      props: this.props,
      numberOfNewMessages: numberOfNewMessages
    }));
  };

  return ChatBox;
}(_react.Component);

var _default = (0, _reactRedux.connect)(function (store) {
  return {
    showChat: (0, _get2["default"])(store, 'behavior.showChat'),
    numberOfNewMessages: (0, _get2["default"])(store, 'messages.numberOfNewMessages')
  };
})(ChatBox);

exports["default"] = _default;
module.exports = exports.default;