"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _get2 = _interopRequireDefault(require("lodash/get"));

var _react = _interopRequireWildcard(require("react"));

var _styles = _interopRequireDefault(require("./styles.scss"));

var _close = _interopRequireDefault(require("../../../../icon/close.svg"));

var _file_general = _interopRequireDefault(require("../../../../icon/file_general.svg"));

var _reactInlinesvg = _interopRequireDefault(require("react-inlinesvg"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var _default = function _default(_ref) {
  var setting = _ref.setting,
      attachment = _ref.attachment,
      handleClickRemove = _ref.handleClickRemove;

  // console.log(attachment);
  var _ref2 = attachment || {},
      src = _ref2.src,
      type = _ref2.type,
      isImage = _ref2.isImage,
      base64 = _ref2.base64,
      name = _ref2.name;

  return /*#__PURE__*/_react["default"].createElement("div", {
    className: _styles["default"].container,
    style: {
      width: !isImage ? "110px" : "55px",
      padding: !isImage ? "7px 10px 7px 10px" : "0px"
    }
  }, isImage && base64 && /*#__PURE__*/_react["default"].createElement("img", {
    className: _styles["default"].imageAttachment,
    src: base64
  }), !isImage && name && /*#__PURE__*/_react["default"].createElement("div", {
    className: _styles["default"].fileAttachmentWrapper
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: _styles["default"].fileAttachmentIcon
  }, /*#__PURE__*/_react["default"].createElement(_reactInlinesvg["default"], {
    src: _file_general["default"],
    style: {
      width: "32.7px",
      height: "40.5px"
    }
  })), /*#__PURE__*/_react["default"].createElement("div", {
    className: _styles["default"].fileName
  }, name)), /*#__PURE__*/_react["default"].createElement("span", {
    className: _styles["default"].iconClose,
    onClick: handleClickRemove,
    style: {
      backgroundColor: (0, _get2["default"])(setting, "screenConversation.rightSideBackgroundColor"),
      color: (0, _get2["default"])(setting, "screenConversation.rightSideTextColor")
    }
  }, /*#__PURE__*/_react["default"].createElement(_reactInlinesvg["default"], {
    src: _close["default"],
    style: {
      width: "7px",
      height: "7px"
    }
  })));
};

exports["default"] = _default;
module.exports = exports.default;