"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _inheritsLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/inheritsLoose"));

var _isEmpty2 = _interopRequireDefault(require("lodash/isEmpty"));

var _get2 = _interopRequireDefault(require("lodash/get"));

var _react = _interopRequireWildcard(require("react"));

var _photo = _interopRequireDefault(require("../../../icon/photo.svg"));

var _attach = _interopRequireDefault(require("../../../icon/attach.svg"));

var _styles = _interopRequireDefault(require("./styles.scss"));

var _reactInlinesvg = _interopRequireDefault(require("react-inlinesvg"));

var _attachmentList = _interopRequireDefault(require("../components/attachment-list"));

var _rcUpload = _interopRequireDefault(require("rc-upload"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var StyleOne = /*#__PURE__*/function (_Component) {
  (0, _inheritsLoose2["default"])(StyleOne, _Component);

  function StyleOne() {
    return _Component.apply(this, arguments) || this;
  }

  var _proto = StyleOne.prototype;

  _proto.render = function render() {
    var _this = this;

    var _this$props = this.props,
        setting = _this$props.setting,
        uploadFiles = _this$props.uploadFiles,
        inputValue = _this$props.inputValue,
        handleRemoveAttachment = _this$props.handleRemoveAttachment;
    var iconColor = (0, _get2["default"])(setting, 'screenForm.placeholderTextColor');
    return /*#__PURE__*/_react["default"].createElement("div", {
      className: _styles["default"].inputContainer + " bs-chatbox-input-container"
    }, !(0, _isEmpty2["default"])(uploadFiles) && /*#__PURE__*/_react["default"].createElement(_attachmentList["default"], {
      uploadFiles: uploadFiles,
      setting: setting,
      handleRemoveAttachment: handleRemoveAttachment
    }), /*#__PURE__*/_react["default"].createElement("div", {
      className: _styles["default"].inputRow
    }, /*#__PURE__*/_react["default"].createElement("textarea", {
      value: inputValue,
      placeholder: (0, _get2["default"])(setting, 'chatboxThemeSettings.commonSettings.send_message_placeholder'),
      onChange: this.props.handleOnChange,
      onKeyPress: function onKeyPress(e) {
        _this.props.handleKeyPress(e);
      },
      style: {
        color: (0, _isEmpty2["default"])(inputValue) ? (0, _get2["default"])(setting, 'screenForm.placeholderTextColor') : (0, _get2["default"])(setting, 'screenForm.inputTextColor')
      }
    })), /*#__PURE__*/_react["default"].createElement("div", {
      className: _styles["default"].additionalFunctionRow
    }, /*#__PURE__*/_react["default"].createElement("div", {
      className: _styles["default"].left
    }, /*#__PURE__*/_react["default"].createElement("span", {
      className: _styles["default"].icon
    }, /*#__PURE__*/_react["default"].createElement(_rcUpload["default"], {
      showUploadList: false,
      multiple: true,
      beforeUpload: this.props.handleBeforeUploadAttachments
    }, /*#__PURE__*/_react["default"].createElement(_reactInlinesvg["default"], {
      src: _attach["default"],
      style: {
        width: '16.9px',
        height: '17.6px',
        color: iconColor
      }
    }))), /*#__PURE__*/_react["default"].createElement("span", {
      className: _styles["default"].icon
    }, /*#__PURE__*/_react["default"].createElement(_rcUpload["default"], {
      showUploadList: false,
      multiple: true,
      beforeUpload: this.props.handleBeforeUploadAttachments
    }, /*#__PURE__*/_react["default"].createElement(_reactInlinesvg["default"], {
      src: _photo["default"],
      style: {
        width: '20.5px',
        height: '17.6px',
        color: iconColor
      }
    })))), /*#__PURE__*/_react["default"].createElement("div", {
      className: _styles["default"].right
    }, /*#__PURE__*/_react["default"].createElement("span", {
      className: _styles["default"].btnSend,
      onClick: this.props.handleClickBtnSend,
      style: {
        backgroundColor: (0, _get2["default"])(setting, 'screenConversation.rightSideBackgroundColor'),
        color: (0, _get2["default"])(setting, 'screenConversation.rightSideTextColor')
      }
    }, "Send"))));
  };

  return StyleOne;
}(_react.Component);

exports["default"] = StyleOne;
module.exports = exports.default;