"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _get2 = _interopRequireDefault(require("lodash/get"));

var _react = _interopRequireWildcard(require("react"));

var _commonStyles = _interopRequireDefault(require("../common-styles.scss"));

var _skipForm = _interopRequireDefault(require("../../icon/skip-form.svg"));

var _reactInlinesvg = _interopRequireDefault(require("react-inlinesvg"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var _default = function _default(_ref) {
  var setting = _ref.setting,
      showedScreen = _ref.showedScreen;
  var activeTheme = (0, _get2["default"])(setting, 'activeTheme');
  return /*#__PURE__*/_react["default"].createElement("div", null, /*#__PURE__*/_react["default"].createElement("div", {
    className: _commonStyles["default"].powerBy,
    style: activeTheme === 'style-three' && showedScreen === 'conversation' ? {
      color: (0, _get2["default"])(setting, 'screenForm.inputTextColor'),
      backgroundColor: 'transparent',
      position: 'relative',
      borderRadius: "0 0 18px 18px"
    } : {
      color: (0, _get2["default"])(setting, 'screenForm.inputTextColor')
    }
  }, activeTheme === 'style-three' && showedScreen === 'conversation' && /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      width: '100%',
      height: '100%',
      position: 'absolute',
      backgroundColor: (0, _get2["default"])(setting, 'screenConversation.rightSideBackgroundColor'),
      opacity: 0.1,
      bottom: 0,
      borderRadius: "0 0 18px 18px"
    }
  }), /*#__PURE__*/_react["default"].createElement("div", {
    className: _commonStyles["default"].powerByText
  }, /*#__PURE__*/_react["default"].createElement("span", {
    style: {
      color: (0, _get2["default"])(setting, 'screenForm.placeholderTextColor'),
      fontFamily: 'Open Sans',
      fontSize: '12px'
    }
  }, "Powered by", ' '), /*#__PURE__*/_react["default"].createElement("a", {
    target: "_blank",
    href: "https://boostcrm.io/"
  }, /*#__PURE__*/_react["default"].createElement("span", {
    style: {
      color: (0, _get2["default"])(setting, 'screenConversation.rightSideBackgroundColor'),
      fontFamily: 'Open Sans',
      fontSize: '12px'
    }
  }, "BoostCRM")))));
};

exports["default"] = _default;
module.exports = exports.default;