"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _get2 = _interopRequireDefault(require("lodash/get"));

var _react = _interopRequireWildcard(require("react"));

var _styles = _interopRequireDefault(require("./styles.scss"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var _default = function _default(_ref) {
  var setting = _ref.setting,
      label = _ref.label;
  return /*#__PURE__*/_react["default"].createElement("button", {
    className: _styles["default"].button,
    type: "submit",
    style: {
      backgroundColor: (0, _get2["default"])(setting, 'screenConversation.rightSideBackgroundColor'),
      boxShadow: '0 1px 2px 0 rgba(0, 0, 0, 0.16)',
      border: 'none',
      borderRadius: '0px',
      height: '38px',
      width: '100%',
      fontFamily: 'Open Sans',
      fontWeight: '700',
      color: '#fff',
      outline: 'none',
      fontSize: '16px',
      cursor: 'pointer'
    }
  }, label || (0, _get2["default"])(setting, 'chatboxThemeSettings.commonSettings.start_button_label'));
};

exports["default"] = _default;
module.exports = exports.default;