"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.CloseCallIcon = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactRedux = require("react-redux");

var _actions = require("../../store/actions");

var CloseCallIcon = function CloseCallIcon(_ref) {
  var iconTextColor = _ref.iconTextColor,
      className = _ref.className,
      color = _ref.color;
  var dispatch = (0, _reactRedux.useDispatch)();
  return /*#__PURE__*/_react["default"].createElement("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    version: "1.1",
    id: "Capa_1",
    x: "0px",
    y: "0px",
    width: "512px",
    height: "512px",
    viewBox: "0 0 357 357",
    style: {
      alignSelf: "center"
    },
    className: className,
    onClick: function onClick() {
      return dispatch((0, _actions.toggleCall)());
    }
  }, /*#__PURE__*/_react["default"].createElement("g", null, /*#__PURE__*/_react["default"].createElement("g", {
    id: "clear"
  }, /*#__PURE__*/_react["default"].createElement("polygon", {
    points: "357,35.7 321.3,0 178.5,142.8 35.7,0 0,35.7 142.8,178.5 0,321.3 35.7,357 178.5,214.2 321.3,357 357,321.3     214.2,178.5   ",
    fill: iconTextColor || "#FFFFFF"
  }))), /*#__PURE__*/_react["default"].createElement("g", null), /*#__PURE__*/_react["default"].createElement("g", null), /*#__PURE__*/_react["default"].createElement("g", null), /*#__PURE__*/_react["default"].createElement("g", null), /*#__PURE__*/_react["default"].createElement("g", null), /*#__PURE__*/_react["default"].createElement("g", null), /*#__PURE__*/_react["default"].createElement("g", null), /*#__PURE__*/_react["default"].createElement("g", null), /*#__PURE__*/_react["default"].createElement("g", null), /*#__PURE__*/_react["default"].createElement("g", null), /*#__PURE__*/_react["default"].createElement("g", null), /*#__PURE__*/_react["default"].createElement("g", null), /*#__PURE__*/_react["default"].createElement("g", null), /*#__PURE__*/_react["default"].createElement("g", null), /*#__PURE__*/_react["default"].createElement("g", null));
};

exports.CloseCallIcon = CloseCallIcon;