"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.CloseIcon = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactRedux = require("react-redux");

var _actions = require("../../store/actions");

var _widgetContext = _interopRequireDefault(require("../../widget-context"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var CloseIcon = function CloseIcon(_ref) {
  var iconTextColor = _ref.iconTextColor,
      className = _ref.className,
      style = _ref.style;
  var dispatch = (0, _reactRedux.useDispatch)();

  var _useContext = (0, _react.useContext)(_widgetContext["default"]),
      setting = _useContext.setting;

  return /*#__PURE__*/_react["default"].createElement("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    version: "1.1",
    id: "Capa_1",
    x: "0px",
    y: "0px",
    width: "512px",
    height: "512px",
    viewBox: "0 0 357 357",
    style: {
      alignSelf: 'center'
    },
    className: className,
    onClick: function onClick() {
      return dispatch((0, _actions.toggleChat)(setting));
    }
  }, /*#__PURE__*/_react["default"].createElement("g", null, /*#__PURE__*/_react["default"].createElement("g", {
    id: "clear"
  }, /*#__PURE__*/_react["default"].createElement("polygon", {
    points: "357,35.7 321.3,0 178.5,142.8 35.7,0 0,35.7 142.8,178.5 0,321.3 35.7,357 178.5,214.2 321.3,357 357,321.3     214.2,178.5   ",
    fill: iconTextColor || '#FFFFFF'
  }))), /*#__PURE__*/_react["default"].createElement("g", null), /*#__PURE__*/_react["default"].createElement("g", null), /*#__PURE__*/_react["default"].createElement("g", null), /*#__PURE__*/_react["default"].createElement("g", null), /*#__PURE__*/_react["default"].createElement("g", null), /*#__PURE__*/_react["default"].createElement("g", null), /*#__PURE__*/_react["default"].createElement("g", null), /*#__PURE__*/_react["default"].createElement("g", null), /*#__PURE__*/_react["default"].createElement("g", null), /*#__PURE__*/_react["default"].createElement("g", null), /*#__PURE__*/_react["default"].createElement("g", null), /*#__PURE__*/_react["default"].createElement("g", null), /*#__PURE__*/_react["default"].createElement("g", null), /*#__PURE__*/_react["default"].createElement("g", null), /*#__PURE__*/_react["default"].createElement("g", null));
};

exports.CloseIcon = CloseIcon;