"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _get2 = _interopRequireDefault(require("lodash/get"));

var _react = _interopRequireWildcard(require("react"));

var _styles = _interopRequireDefault(require("./styles.scss"));

var _power = _interopRequireDefault(require("../power"));

var _button = _interopRequireDefault(require("../button"));

var _leaveInfo = _interopRequireDefault(require("../leave-info"));

var _icon = require("../../../icon");

var _reactRedux = require("react-redux");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var _default = function _default(_ref) {
  var setting = _ref.setting,
      status = _ref.status,
      handleCallAgain = _ref.handleCallAgain;

  var _useState = (0, _react.useState)(false),
      wannaLeaveInfo = _useState[0],
      setWannaLeaveInfo = _useState[1];

  var alreadySaveInfo = (0, _reactRedux.useSelector)(function (store) {
    return (0, _get2["default"])(store, 'behavior.alreadySubmitUserInfo');
  });

  var onClickCallAgain = function onClickCallAgain() {
    handleCallAgain && handleCallAgain();
  };

  return /*#__PURE__*/_react["default"].createElement("div", {
    className: _styles["default"].container
  }, wannaLeaveInfo && !alreadySaveInfo ? /*#__PURE__*/_react["default"].createElement(_leaveInfo["default"], {
    setting: setting
  }) : /*#__PURE__*/_react["default"].createElement("div", {
    className: _styles["default"].content
  }, /*#__PURE__*/_react["default"].createElement("span", {
    style: {
      color: (0, _get2["default"])(setting, 'screenConversation.rightSideBackgroundColor')
    },
    className: _styles["default"].title
  }, status === 'Canceled' ? (0, _get2["default"])(setting, 'callThemeSettings.commonSettings.busy_line_admin_receive_tile') : (0, _get2["default"])(setting, 'callThemeSettings.commonSettings.busy_line_title')), !alreadySaveInfo && /*#__PURE__*/_react["default"].createElement("span", {
    className: _styles["default"].description
  }, (0, _get2["default"])(setting, 'callThemeSettings.commonSettings.busy_line_description')), /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      marginBottom: '24px'
    }
  }, !alreadySaveInfo && /*#__PURE__*/_react["default"].createElement(_button["default"], {
    setting: setting,
    onClick: function onClick() {
      return setWannaLeaveInfo(true);
    },
    text: (0, _get2["default"])(setting, 'callThemeSettings.commonSettings.leave_infomtion_label'),
    isBorder: true,
    width: "100%"
  })), /*#__PURE__*/_react["default"].createElement("div", null, /*#__PURE__*/_react["default"].createElement(_button["default"], {
    setting: setting,
    callIcon: true,
    color: "#fff",
    text: (0, _get2["default"])(setting, 'callThemeSettings.commonSettings.call_again_label'),
    onClick: onClickCallAgain,
    width: "100%"
  })), /*#__PURE__*/_react["default"].createElement("div", {
    className: _styles["default"].power
  }, /*#__PURE__*/_react["default"].createElement(_power["default"], {
    setting: setting
  }))), /*#__PURE__*/_react["default"].createElement(_icon.CloseCallIcon, {
    iconTextColor: (0, _get2["default"])(setting, 'screenConversation.rightSideBackgroundColor'),
    className: _styles["default"].closeIcon
  }));
};

exports["default"] = _default;
module.exports = exports.default;