"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _get2 = _interopRequireDefault(require("lodash/get"));

var _react = _interopRequireDefault(require("react"));

var _styles = _interopRequireDefault(require("./styles.scss"));

var _reactInlinesvg = _interopRequireDefault(require("react-inlinesvg"));

var _call = _interopRequireDefault(require("../../../../icon/call.svg"));

require("../overwrite.css");

var _loading = _interopRequireDefault(require("../../../../../commons/components/loading"));

var _default = function _default(props) {
  var setting = props.setting,
      onClick = props.onClick,
      text = props.text,
      callIcon = props.callIcon,
      isBorder = props.isBorder,
      isLoading = props.isLoading,
      isAccessButton = props.isAccessButton,
      color = props.color,
      borderRadius = props.borderRadius,
      width = props.width; // console.log("isLoading: ", isLoading);

  return /*#__PURE__*/_react["default"].createElement("div", null, !isAccessButton ? /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      width: "100%",
      height: "38px"
    },
    className: "boostcrm-call-button"
  }, /*#__PURE__*/_react["default"].createElement("button", {
    type: "submit",
    onClick: onClick,
    className: _styles["default"].theme3Container
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: _styles["default"].button,
    style: (0, _extends2["default"])({}, isBorder ? {
      border: "1px solid " + (0, _get2["default"])(setting, 'screenConversation.rightSideBackgroundColor'),
      color: (0, _get2["default"])(setting, 'screenConversation.rightSideBackgroundColor')
    } : {
      backgroundColor: (0, _get2["default"])(setting, 'screenConversation.rightSideBackgroundColor')
    }, {
      width: width
    })
  }, !isLoading && callIcon && /*#__PURE__*/_react["default"].createElement("div", {
    className: _styles["default"].icon
  }, /*#__PURE__*/_react["default"].createElement(_reactInlinesvg["default"], {
    src: _call["default"]
  })), isLoading && /*#__PURE__*/_react["default"].createElement("div", {
    className: _styles["default"].icon
  }, /*#__PURE__*/_react["default"].createElement(_loading["default"], {
    color: color || (0, _get2["default"])(setting, "screenConversation.rightSideBackgroundColor")
  })), text))) : /*#__PURE__*/_react["default"].createElement("div", {
    className: "boostcrm-call-button"
  }, /*#__PURE__*/_react["default"].createElement("button", {
    onClick: onClick,
    className: _styles["default"].theme3Container + " "
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: _styles["default"].accessButton,
    style: {
      backgroundColor: (0, _get2["default"])(setting, "screenConversation.rightSideBackgroundColor")
    }
  }, text))));
};

exports["default"] = _default;
module.exports = exports.default;