"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _get2 = _interopRequireDefault(require("lodash/get"));

var _react = _interopRequireDefault(require("react"));

var _styles = _interopRequireDefault(require("./styles.scss"));

var _header = _interopRequireDefault(require("../header"));

var _power = _interopRequireDefault(require("../power"));

var _button = _interopRequireDefault(require("../button"));

var _default = function _default(_ref) {
  var handleGetPermission = _ref.handleGetPermission,
      setting = _ref.setting,
      isMobileMode = _ref.isMobileMode;

  var handleRequestAccessMicrophone = function handleRequestAccessMicrophone() {
    navigator.mediaDevices.getUserMedia({
      audio: true
    }).then(function (mediaStream) {
      handleGetPermission && handleGetPermission({
        isAllow: true
      });
      mediaStream.getTracks().forEach(function (track) {
        track.stop();
      });
    })["catch"](function () {
      handleGetPermission && handleGetPermission({
        isAllow: false
      });
    });
  };

  return /*#__PURE__*/_react["default"].createElement("div", {
    className: _styles["default"].container
  }, /*#__PURE__*/_react["default"].createElement(_header["default"], {
    setting: setting,
    isMobileMode: isMobileMode
  }), /*#__PURE__*/_react["default"].createElement("div", {
    className: _styles["default"].deviceSetting
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: _styles["default"].deviceStatus
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: _styles["default"].titleContent
  }, /*#__PURE__*/_react["default"].createElement("span", {
    className: _styles["default"].title,
    style: {
      color: (0, _get2["default"])(setting, 'screenConversation.rightSideBackgroundColor')
    }
  }, (0, _get2["default"])(setting, 'callThemeSettings.commonSettings.using_microphone_text'))), /*#__PURE__*/_react["default"].createElement("div", {
    className: _styles["default"].buttonContent
  }, /*#__PURE__*/_react["default"].createElement("span", {
    style: {
      fontFamily: 'Open Sans'
    },
    className: _styles["default"].button
  }, (0, _get2["default"])(setting, 'callThemeSettings.commonSettings.access_microphone_text'))), /*#__PURE__*/_react["default"].createElement("div", {
    className: _styles["default"].allowButton
  }, /*#__PURE__*/_react["default"].createElement(_button["default"], {
    setting: setting,
    onClick: handleRequestAccessMicrophone,
    isAccessButton: true,
    callIcon: false,
    text: (0, _get2["default"])(setting, 'callThemeSettings.commonSettings.allow_microphone_label')
  })))), /*#__PURE__*/_react["default"].createElement(_power["default"], {
    setting: setting
  }));
};

exports["default"] = _default;
module.exports = exports.default;