"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireWildcard(require("react"));

var _call = _interopRequireDefault(require("../../../icon/call.svg"));

var _reactInlinesvg = _interopRequireDefault(require("react-inlinesvg"));

var _styles = _interopRequireDefault(require("./styles.scss"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var _default = function _default(_ref) {
  var bgColor = _ref.bgColor,
      iconColor = _ref.iconColor;
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: _styles["default"].iconContent
  }, /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      backgroundColor: bgColor,
      color: bgColor
    },
    className: _styles["default"].wrapOpacity1
  }), /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      backgroundColor: bgColor
    },
    className: _styles["default"].wrapOpacity2
  }), /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      backgroundColor: bgColor
    },
    className: _styles["default"].wrap
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: _styles["default"].icon
  }, /*#__PURE__*/_react["default"].createElement(_reactInlinesvg["default"], {
    style: {
      color: iconColor
    },
    src: _call["default"]
  }))));
};

exports["default"] = _default;
module.exports = exports.default;