"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _get2 = _interopRequireDefault(require("lodash/get"));

var _react = _interopRequireWildcard(require("react"));

var _styles = _interopRequireDefault(require("./styles.scss"));

var _icon = require("../../../../icon");

var _callAnimation = _interopRequireDefault(require("../call-animation"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var _default = function _default(_ref) {
  var setting = _ref.setting,
      isInConfigurationMode = _ref.isInConfigurationMode,
      demoData = _ref.demoData,
      isMobileMode = _ref.isMobileMode;
  var activeTheme = (0, _get2["default"])(setting, 'activeTheme');
  var iconTextColor = (0, _get2["default"])(setting, 'iconTextColor');
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: "" + _styles["default"].headerContainer,
    style: {
      background: (0, _get2["default"])(setting, 'iconBackgroundColor'),
      color: iconTextColor,
      borderRadius: isMobileMode ? '0' : ' 20px 20px 0 0'
    }
  }, /*#__PURE__*/_react["default"].createElement(_callAnimation["default"], {
    bgColor: (0, _get2["default"])(setting, 'screenConversation.rightSideBackgroundColor'),
    iconColor: "#fff"
  }), /*#__PURE__*/_react["default"].createElement("div", {
    className: _styles["default"].textContent
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: _styles["default"].headerRow
  }, /*#__PURE__*/_react["default"].createElement("span", {
    style: {
      color: iconTextColor
    }
  }, (0, _get2["default"])(setting, "callThemeSettings." + activeTheme + ".header.header_text_1"))), /*#__PURE__*/_react["default"].createElement("div", {
    className: _styles["default"].headerRow
  }, /*#__PURE__*/_react["default"].createElement("span", {
    style: {
      color: iconTextColor
    }
  }, (0, _get2["default"])(setting, "callThemeSettings." + activeTheme + ".header.header_text_2")))), /*#__PURE__*/_react["default"].createElement(_icon.CloseCallIcon, {
    className: _styles["default"].closeIcon,
    iconTextColor: iconTextColor
  }));
};

exports["default"] = _default;
module.exports = exports.default;