"use strict";

exports.__esModule = true;

var _behavior = require("./behavior.actions");

Object.keys(_behavior).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _behavior[key]) return;
  exports[key] = _behavior[key];
});

var _startConversation = require("./start-conversation.actions");

Object.keys(_startConversation).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _startConversation[key]) return;
  exports[key] = _startConversation[key];
});

var _message = require("./message.actions");

Object.keys(_message).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _message[key]) return;
  exports[key] = _message[key];
});

var _ws = require("./ws.actions");

Object.keys(_ws).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _ws[key]) return;
  exports[key] = _ws[key];
});

var _checkMediaDevice = require("./check-media-device.actions");

Object.keys(_checkMediaDevice).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _checkMediaDevice[key]) return;
  exports[key] = _checkMediaDevice[key];
});

var _startCall = require("./start-call.actions");

Object.keys(_startCall).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _startCall[key]) return;
  exports[key] = _startCall[key];
});

var _stopCall = require("./stop-call.actions");

Object.keys(_stopCall).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _stopCall[key]) return;
  exports[key] = _stopCall[key];
});

var _leaveInformation = require("./leave-information.action");

Object.keys(_leaveInformation).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _leaveInformation[key]) return;
  exports[key] = _leaveInformation[key];
});

var _saveUserInfo = require("./save-user-info.actions");

Object.keys(_saveUserInfo).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _saveUserInfo[key]) return;
  exports[key] = _saveUserInfo[key];
});