"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.updateCallInfo = exports.updateCallInfoRequest = void 0;

var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));

var actions = _interopRequireWildcard(require("./action-type"));

var _reduxActions = require("redux-actions");

var _websocket = require("../../connections/websocket");

var _websocket2 = require("../../commons/constants/websocket");

var _tenantInfo = require("../../commons/tenant-info");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var updateCallInfoRequest = (0, _reduxActions.createAction)(actions.UPDATE_CALL_INFORMATION + ".REQUEST");
exports.updateCallInfoRequest = updateCallInfoRequest;

var updateCallInfo = function updateCallInfo(payload, newStatus, channelId) {
  return /*#__PURE__*/function () {
    var _ref = (0, _asyncToGenerator2["default"])( /*#__PURE__*/_regenerator["default"].mark(function _callee(dispatch, store) {
      return _regenerator["default"].wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              // console.log("updateCallInfo");
              dispatch(updateCallInfoRequest((0, _extends2["default"])({}, payload, {
                status: newStatus
              })));
              (0, _websocket.sendMessage)({
                group: _websocket2.GROUP.CALL,
                type: _websocket2.TYPE.CALL.UPDATE_CALL_INFORMATION,
                payload: payload,
                tenantInfo: (0, _tenantInfo.getTenantInfo)()
              });

            case 2:
            case "end":
              return _context.stop();
          }
        }
      }, _callee);
    }));

    return function (_x, _x2) {
      return _ref.apply(this, arguments);
    };
  }();
};

exports.updateCallInfo = updateCallInfo;