import _isEmpty from "lodash/isEmpty";
import React from 'react';
import styles from './styles.scss';
export default (function (_ref) {
  var color = _ref.color,
      label = _ref.label,
      checked = _ref.checked,
      _onChange = _ref.onChange,
      link = _ref.link;
  var text = label || 'I agree to the Privacy Policy';
  return /*#__PURE__*/React.createElement("div", {
    className: styles.wrapper + " boostcrm__pre_chat__checkbox",
    style: {
      color: color
    }
  }, /*#__PURE__*/React.createElement("input", {
    type: "checkbox",
    value: checked,
    onChange: function onChange() {
      return _onChange && _onChange(!checked);
    }
  }), /*#__PURE__*/React.createElement("span", null, !_isEmpty(link) ? /*#__PURE__*/React.createElement("a", {
    target: "_blank",
    href: link
  }, text) : text));
});