import _asyncToGenerator from "@babel/runtime/helpers/asyncToGenerator";
import _regeneratorRuntime from "@babel/runtime/regenerator";
import getPublicIp from './get-public-ip';
import wait from './wait';

var _require = require('detect-browser'),
    detect = _require.detect;

function getInfo() {
  return _getInfo.apply(this, arguments);
}

function _getInfo() {
  _getInfo = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee2() {
    var moment, browser, os, name, urlParams;
    return _regeneratorRuntime.wrap(function _callee2$(_context2) {
      while (1) {
        switch (_context2.prev = _context2.next) {
          case 0:
            _context2.prev = 0;
            _context2.next = 3;
            return import('moment-timezone');

          case 3:
            moment = _context2.sent;
            browser = detect() || {};
            os = browser.os, name = browser.name;
            urlParams = new URLSearchParams(window.location.search);
            _context2.t0 = browser;
            _context2.next = 10;
            return getPublicIp();

          case 10:
            _context2.t1 = _context2.sent;
            _context2.t2 = moment.tz.guess();
            _context2.t3 = -(new Date().getTimezoneOffset() / 60);
            _context2.t4 = urlParams.get('utm_source');
            _context2.t5 = urlParams.get('utm_medium');
            _context2.t6 = urlParams.get('utm_campaign');
            _context2.t7 = urlParams.get('utm_term');
            _context2.t8 = urlParams.get('utm_content');
            _context2.t9 = name;
            _context2.t10 = os;
            return _context2.abrupt("return", {
              browser: _context2.t0,
              ip: _context2.t1,
              timezoneName: _context2.t2,
              timezoneUTC: _context2.t3,
              utmSource: _context2.t4,
              utmMedium: _context2.t5,
              utmCampaign: _context2.t6,
              utmTerm: _context2.t7,
              utmContent: _context2.t8,
              utmGrowthToolId: 'CALL_LIVECHAT',
              utmBrowser: _context2.t9,
              utmOS: _context2.t10
            });

          case 23:
            _context2.prev = 23;
            _context2.t11 = _context2["catch"](0);
            return _context2.abrupt("return", {});

          case 26:
          case "end":
            return _context2.stop();
        }
      }
    }, _callee2, null, [[0, 23]]);
  }));
  return _getInfo.apply(this, arguments);
}

export default /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee() {
  return _regeneratorRuntime.wrap(function _callee$(_context) {
    while (1) {
      switch (_context.prev = _context.next) {
        case 0:
          _context.next = 2;
          return Promise.race([getInfo(), wait(3000)]);

        case 2:
          _context.t0 = _context.sent;

          if (_context.t0) {
            _context.next = 5;
            break;
          }

          _context.t0 = {};

        case 5:
          return _context.abrupt("return", _context.t0);

        case 6:
        case "end":
          return _context.stop();
      }
    }
  }, _callee);
}));