import React, { Suspense, lazy } from 'react';
var HeaderStyleOne = lazy(function () {
  return import('./style-one');
});
var HeaderStyleTwo = lazy(function () {
  return import('./style-two');
});
var HeaderStyleThere = lazy(function () {
  return import('./style-three');
});
export default (function (props) {
  var activeTheme = props.setting.activeTheme;
  return activeTheme === 'style-two' ? /*#__PURE__*/React.createElement(Suspense, {
    fallback: /*#__PURE__*/React.createElement("div", null)
  }, /*#__PURE__*/React.createElement(HeaderStyleTwo, props)) : activeTheme === 'style-three' ? /*#__PURE__*/React.createElement(Suspense, {
    fallback: /*#__PURE__*/React.createElement("div", null)
  }, /*#__PURE__*/React.createElement(HeaderStyleThere, props)) : /*#__PURE__*/React.createElement(Suspense, {
    fallback: /*#__PURE__*/React.createElement("div", null)
  }, /*#__PURE__*/React.createElement(HeaderStyleOne, props));
});