import _get from "lodash/get";
import React, { Component } from 'react';
import commonStyles from '../common-styles.scss';
import SVGSkipForm from '../../icon/skip-form.svg';
import SVG from 'react-inlinesvg';
export default (function (_ref) {
  var setting = _ref.setting,
      showedScreen = _ref.showedScreen;

  var activeTheme = _get(setting, 'activeTheme');

  return /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("div", {
    className: commonStyles.powerBy,
    style: activeTheme === 'style-three' && showedScreen === 'conversation' ? {
      color: _get(setting, 'screenForm.inputTextColor'),
      backgroundColor: 'transparent',
      position: 'relative',
      borderRadius: "0 0 18px 18px"
    } : {
      color: _get(setting, 'screenForm.inputTextColor')
    }
  }, activeTheme === 'style-three' && showedScreen === 'conversation' && /*#__PURE__*/React.createElement("div", {
    style: {
      width: '100%',
      height: '100%',
      position: 'absolute',
      backgroundColor: _get(setting, 'screenConversation.rightSideBackgroundColor'),
      opacity: 0.1,
      bottom: 0,
      borderRadius: "0 0 18px 18px"
    }
  }), /*#__PURE__*/React.createElement("div", {
    className: commonStyles.powerByText
  }, /*#__PURE__*/React.createElement("span", {
    style: {
      color: _get(setting, 'screenForm.placeholderTextColor'),
      fontFamily: 'Open Sans',
      fontSize: '12px'
    }
  }, "Powered by", ' '), /*#__PURE__*/React.createElement("a", {
    target: "_blank",
    href: "https://boostcrm.io/"
  }, /*#__PURE__*/React.createElement("span", {
    style: {
      color: _get(setting, 'screenConversation.rightSideBackgroundColor'),
      fontFamily: 'Open Sans',
      fontSize: '12px'
    }
  }, "BoostCRM")))));
});