import React from "react";
import ButtonTheme1 from "./theme1";
import ButtonTheme2 from "./theme2";
import ButtonTheme3 from "./theme3";
export default (function (props) {
  var activeTheme = props.setting.activeTheme; // console.log("active", activeTheme);

  return activeTheme === "style-two" ? /*#__PURE__*/React.createElement(ButtonTheme2, props) : activeTheme === "style-three" ? /*#__PURE__*/React.createElement(ButtonTheme3, props) : /*#__PURE__*/React.createElement(ButtonTheme1, props);
});