import React from 'react';
import LayoutTheme1 from './theme1';
import LayoutTheme2 from './theme2';
import LayoutTheme3 from './theme3';
export default (function (props) {
  var activeTheme = props.setting.activeTheme;
  return activeTheme === 'style-two' ? /*#__PURE__*/React.createElement(LayoutTheme2, props) : activeTheme === 'style-three' ? /*#__PURE__*/React.createElement(LayoutTheme3, props) : /*#__PURE__*/React.createElement(LayoutTheme1, props);
});