import React, { Component } from 'react';
import styles from '../commonStyles.scss';
export default (function (_ref) {
  var children = _ref.children,
      backgroundColor = _ref.backgroundColor,
      isMobileMode = _ref.isMobileMode;
  return /*#__PURE__*/React.createElement("div", {
    style: {
      padding: isMobileMode ? 0 : '10px'
    },
    className: styles.container
  }, /*#__PURE__*/React.createElement("div", {
    className: styles.containerShadow,
    style: {
      backgroundColor: backgroundColor
    }
  }, children));
});