import React, { Component } from 'react';
import styles from '../commonStyles.scss';
export default (function (_ref) {
  var children = _ref.children,
      backgroundColor = _ref.backgroundColor,
      isMobileMode = _ref.isMobileMode,
      border = _ref.border,
      isLeftSite = _ref.isLeftSite;
  return /*#__PURE__*/React.createElement("div", {
    style: {
      padding: isMobileMode ? 0 : '10px'
    },
    className: styles.container
  }, /*#__PURE__*/React.createElement("div", {
    className: styles.containerShadow,
    style: {
      backgroundColor: backgroundColor,
      borderRadius: isMobileMode ? '0' : border ? isLeftSite ? '40px 40px 20px 0px' : '40px 40px 0 20px' : isLeftSite ? '20px 20px 20px 0px ' : '20px 20px 0 20px '
    }
  }, children));
});