"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _isEmpty2 = _interopRequireDefault(require("lodash/isEmpty"));

var _react = _interopRequireDefault(require("react"));

var _styles = _interopRequireDefault(require("./styles.scss"));

var _default = function _default(_ref) {
  var color = _ref.color,
      label = _ref.label,
      checked = _ref.checked,
      _onChange = _ref.onChange,
      link = _ref.link;
  var text = label || 'I agree to the Privacy Policy';
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: _styles["default"].wrapper + " boostcrm__pre_chat__checkbox",
    style: {
      color: color
    }
  }, /*#__PURE__*/_react["default"].createElement("input", {
    type: "checkbox",
    value: checked,
    onChange: function onChange() {
      return _onChange && _onChange(!checked);
    }
  }), /*#__PURE__*/_react["default"].createElement("span", null, !(0, _isEmpty2["default"])(link) ? /*#__PURE__*/_react["default"].createElement("a", {
    target: "_blank",
    href: link
  }, text) : text));
};

exports["default"] = _default;
module.exports = exports.default;