"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));

var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));

var _getPublicIp = _interopRequireDefault(require("./get-public-ip"));

var _wait = _interopRequireDefault(require("./wait"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var _require = require('detect-browser'),
    detect = _require.detect;

function getInfo() {
  return _getInfo.apply(this, arguments);
}

function _getInfo() {
  _getInfo = (0, _asyncToGenerator2["default"])( /*#__PURE__*/_regenerator["default"].mark(function _callee2() {
    var moment, browser, os, name, urlParams;
    return _regenerator["default"].wrap(function _callee2$(_context2) {
      while (1) {
        switch (_context2.prev = _context2.next) {
          case 0:
            _context2.prev = 0;
            _context2.next = 3;
            return Promise.resolve().then(function () {
              return _interopRequireWildcard(require('moment-timezone'));
            });

          case 3:
            moment = _context2.sent;
            browser = detect() || {};
            os = browser.os, name = browser.name;
            urlParams = new URLSearchParams(window.location.search);
            _context2.t0 = browser;
            _context2.next = 10;
            return (0, _getPublicIp["default"])();

          case 10:
            _context2.t1 = _context2.sent;
            _context2.t2 = moment.tz.guess();
            _context2.t3 = -(new Date().getTimezoneOffset() / 60);
            _context2.t4 = urlParams.get('utm_source');
            _context2.t5 = urlParams.get('utm_medium');
            _context2.t6 = urlParams.get('utm_campaign');
            _context2.t7 = urlParams.get('utm_term');
            _context2.t8 = urlParams.get('utm_content');
            _context2.t9 = name;
            _context2.t10 = os;
            return _context2.abrupt("return", {
              browser: _context2.t0,
              ip: _context2.t1,
              timezoneName: _context2.t2,
              timezoneUTC: _context2.t3,
              utmSource: _context2.t4,
              utmMedium: _context2.t5,
              utmCampaign: _context2.t6,
              utmTerm: _context2.t7,
              utmContent: _context2.t8,
              utmGrowthToolId: 'CALL_LIVECHAT',
              utmBrowser: _context2.t9,
              utmOS: _context2.t10
            });

          case 23:
            _context2.prev = 23;
            _context2.t11 = _context2["catch"](0);
            return _context2.abrupt("return", {});

          case 26:
          case "end":
            return _context2.stop();
        }
      }
    }, _callee2, null, [[0, 23]]);
  }));
  return _getInfo.apply(this, arguments);
}

var _default = /*#__PURE__*/(0, _asyncToGenerator2["default"])( /*#__PURE__*/_regenerator["default"].mark(function _callee() {
  return _regenerator["default"].wrap(function _callee$(_context) {
    while (1) {
      switch (_context.prev = _context.next) {
        case 0:
          _context.next = 2;
          return Promise.race([getInfo(), (0, _wait["default"])(3000)]);

        case 2:
          _context.t0 = _context.sent;

          if (_context.t0) {
            _context.next = 5;
            break;
          }

          _context.t0 = {};

        case 5:
          return _context.abrupt("return", _context.t0);

        case 6:
        case "end":
          return _context.stop();
      }
    }
  }, _callee);
}));

exports["default"] = _default;
module.exports = exports.default;