"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _get2 = _interopRequireDefault(require("lodash/get"));

var _react = _interopRequireDefault(require("react"));

var _reactRedux = require("react-redux");

var _styles = _interopRequireDefault(require("./styles.scss"));

var _reactInlinesvg = _interopRequireDefault(require("react-inlinesvg"));

var _soundOn = _interopRequireDefault(require("../../icon/sound-on.svg"));

var _soundOff = _interopRequireDefault(require("../../icon/sound-off.svg"));

var _actions = require("../../../store/actions");

var _default = function _default(_ref) {
  var setting = _ref.setting,
      style = _ref.style;
  var dispatch = (0, _reactRedux.useDispatch)();
  var soundOn = (0, _reactRedux.useSelector)(function (store) {
    return (0, _get2["default"])(store, 'behavior.soundOn');
  });
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: _styles["default"].settingContent,
    style: style
  }, /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      color: (0, _get2["default"])(setting, 'iconTextColor')
    },
    className: _styles["default"].icon,
    onClick: function onClick() {
      return dispatch((0, _actions.settingSound)());
    }
  }, soundOn ? /*#__PURE__*/_react["default"].createElement(_reactInlinesvg["default"], {
    src: _soundOn["default"]
  }) : /*#__PURE__*/_react["default"].createElement(_reactInlinesvg["default"], {
    src: _soundOff["default"]
  })));
};

exports["default"] = _default;
module.exports = exports.default;