"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _styles = _interopRequireDefault(require("./styles.scss"));

var _attachment = _interopRequireDefault(require("../attachment"));

var _default = function _default(_ref) {
  var uploadFiles = _ref.uploadFiles,
      handleRemoveAttachment = _ref.handleRemoveAttachment,
      setting = _ref.setting;
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: _styles["default"].attachmentContainer
  }, uploadFiles.map(function (attachment, i) {
    return /*#__PURE__*/_react["default"].createElement(_attachment["default"], {
      key: i,
      setting: setting,
      attachment: attachment,
      handleClickRemove: function handleClickRemove() {
        return handleRemoveAttachment(attachment);
      }
    });
  }));
};

exports["default"] = _default;
module.exports = exports.default;