"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _get2 = _interopRequireDefault(require("lodash/get"));

var _react = _interopRequireDefault(require("react"));

var _offlineStatus = _interopRequireDefault(require("../../offline-status.scss"));

var _btnStartConversation = _interopRequireDefault(require("../../../user-info-form/btn-start-conversation"));

var _default = function _default(_ref) {
  var setting = _ref.setting,
      onStartConversation = _ref.onStartConversation;
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: _offlineStatus["default"].content
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: _offlineStatus["default"].img
  }, /*#__PURE__*/_react["default"].createElement("img", {
    src: "https://storage.googleapis.com/bs-production-public/assets/widgets/bot_profilepic%402x.png"
  })), /*#__PURE__*/_react["default"].createElement("span", {
    style: {
      color: "" + ((0, _get2["default"])(setting, "screenOffline.on.title_color") || (0, _get2["default"])(setting, 'screenConversation.rightSideBackgroundColor'))
    },
    className: _offlineStatus["default"].title
  }, (0, _get2["default"])(setting, "screenOffline.on.title")), /*#__PURE__*/_react["default"].createElement("span", {
    style: {
      color: "" + ((0, _get2["default"])(setting, "screenOffline.on.title_color") || (0, _get2["default"])(setting, 'iconBackgroundColor'))
    },
    className: _offlineStatus["default"].description
  }, (0, _get2["default"])(setting, "screenOffline.on.description")), /*#__PURE__*/_react["default"].createElement("div", {
    className: _offlineStatus["default"].startChat,
    onClick: function onClick() {
      onStartConversation && onStartConversation(null);
    }
  }, /*#__PURE__*/_react["default"].createElement(_btnStartConversation["default"], {
    setting: setting,
    label: (0, _get2["default"])(setting, "screenOffline.on.start_chat_label")
  })));
};

exports["default"] = _default;
module.exports = exports.default;