"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _isEmpty2 = _interopRequireDefault(require("lodash/isEmpty"));

var _get2 = _interopRequireDefault(require("lodash/get"));

var _react = _interopRequireWildcard(require("react"));

var _offlineStatus = _interopRequireDefault(require("../../offline-status.scss"));

var _btnStartConversation = _interopRequireDefault(require("../../../user-info-form/btn-start-conversation"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var _default = function _default(_ref) {
  var setting = _ref.setting,
      onStartConversation = _ref.onStartConversation;

  var _useState = (0, _react.useState)(''),
      message = _useState[0],
      setMessage = _useState[1];

  return /*#__PURE__*/_react["default"].createElement("div", {
    className: _offlineStatus["default"].content
  }, /*#__PURE__*/_react["default"].createElement("span", {
    style: {
      color: "" + ((0, _get2["default"])(setting, "screenOffline.off.title_color") || (0, _get2["default"])(setting, 'screenConversation.rightSideBackgroundColor'))
    },
    className: _offlineStatus["default"].title
  }, (0, _get2["default"])(setting, "screenOffline.off.title")), /*#__PURE__*/_react["default"].createElement("span", {
    style: {
      color: "" + ((0, _get2["default"])(setting, "screenOffline.off.title_color") || (0, _get2["default"])(setting, 'iconBackgroundColor'))
    },
    className: _offlineStatus["default"].description
  }, (0, _get2["default"])(setting, "screenOffline.off.description")), /*#__PURE__*/_react["default"].createElement("textarea", {
    className: _offlineStatus["default"].leaveMessage,
    value: message,
    placeholder: (0, _get2["default"])(setting, "screenOffline.off.leave_message_placeholder") || 'Your message',
    style: {
      color: !(0, _isEmpty2["default"])(message) ? (0, _get2["default"])(setting, 'screenForm.inputTextColor') : (0, _get2["default"])(setting, 'screenForm.placeholderTextColor'),
      backgroundColor: (0, _get2["default"])(setting, 'screenForm.inputBackgroundColor')
    },
    onChange: function onChange(e) {
      return setMessage(e.target.value);
    }
  }), /*#__PURE__*/_react["default"].createElement("div", {
    className: _offlineStatus["default"].startChat,
    onClick: function onClick() {
      onStartConversation && onStartConversation(message);
    }
  }, /*#__PURE__*/_react["default"].createElement(_btnStartConversation["default"], {
    setting: setting,
    label: (0, _get2["default"])(setting, "screenOffline.off.start_chat_label")
  })));
};

exports["default"] = _default;
module.exports = exports.default;